Subject: Re: [PATCH -rt DO NOT APPLY] Fix for tg3 networking lockup

From: "Michael Chan" <[email-masked]>
Date: Fri, 25 Aug 2006 17:01:48 -0700

On Fri, 2006-08-25 at 16:48 -0700, Marc Bevand wrote:

> 
> But I was able to turn TSO on via ethtool -K. This is exactly the behavior I
> would like to see in tg3. So are you saying the patch I applied actually
> breaks ASF ?
> 
Yes, the TSO firmware code that tg3 downloads to the chip using your
patch will overwrite the ASF code.  The ASF code will get reloaded again
at the next chip reset once your patch is reverted.